Alokai
Api

API Reference

Access to API is limited by pair X-Api-Key and X-User-Id headers.

GET
/healthz

Response Body

curl -X GET "https://example.com/healthz"
Empty
DELETE
/cdn_cache/{instance}/host/{host}/path/{path}

Endpoint to flush CDN cache on specific instance for specific URI. To flush Backend Cache use /flush_cache endpoint.

Path Parameters

path*string

base64 path to invalidate for example: cHJvZHVjdC9saXN0LzE=

instance*string

instance name for example: project-europe-west1-gcp-storefrontcloud-io

Response Body

*/*

application/json

curl -X DELETE "https://example.com/cdn_cache/string/host/string/path/string"
{}
{}
DELETE
/cdn_cache/{instance}/path/{path}

Endpoint to flush CDN cache on specific instance for specific URI. To flush Backend Cache use /flush_cache endpoint.

Path Parameters

path*string

base64 path to invalidate for example: cHJvZHVjdC9saXN0LzE=

instance*string

instance name for example: project-europe-west1-gcp-storefrontcloud-io

Response Body

*/*

application/json

curl -X DELETE "https://example.com/cdn_cache/string/path/string"
{}
{}
GET
/deploy_check/{project}/{tag}

Using this endpoint you can check if sepecifed tag is deployed and ready

Path Parameters

project*string

Project name

tag*string

Docker tag

Response Body

application/json

curl -X GET "https://example.com/deploy_check/string/string"
{  "code": 0,  "deployed": "string",  "ready": "string"}
DELETE
/flush_cache/{project}

Using this endpoint you can flush backend cache for your instance. To flush CDN cache please use /cdn_cache endpoint.

Path Parameters

project*string

Project name

Response Body

application/json

curl -X DELETE "https://example.com/flush_cache/string"
{  "code": 0,  "result": "string"}
DELETE
/instance/{namespace}

It deletes instance object from Firestore DB

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

application/json

curl -X DELETE "https://example.com/instance/project-europe-west1-gcp-storefrontcloud-io"
Empty
Empty
Empty
GET
/instance/{namespace}

Path Parameters

Response Body

curl -X GET "https://example.com/instance/{namespace}"
PATCH
/instance/{namespace}

Updates instance, merge update data with current configuration

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PATCH "https://example.com/instance/{namespace}" \  -H "Content-Type: application/json" \  -d '{}'
Empty
Empty
Empty
GET
/instance/{namespace}/exists

Checks if instance exists

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

application/json

application/json

curl -X GET "https://example.com/instance/project-europe-west1-gcp-storefrontcloud-io/exists"
{  "code": 0,  "error": "string",  "is_exists": true,  "message": "string"}
{  "code": 0,  "error": "string",  "is_exists": true,  "message": "string"}
Empty
GET
/instance/{namespace}/ingresses

Get a list of ingresses and information about them

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

application/json

curl -X GET "https://example.com/instance/project-europe-west1-gcp-storefrontcloud-io/ingresses"
{  "code": 0,  "ingresses": [    {      "domains": null,      "ip": null,      "type": null,      "url_map": null    }  ]}
Empty
GET
/instance/{namespace}/kube_config

Get kube config file

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

curl -X GET "https://example.com/instance/project-europe-west1-gcp-storefrontcloud-io/kube_config"
Empty
Empty
GET
/instance/{namespace}/pod

Using this endpoint you can list all pods for selected instance on Storefront Cloud

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

application/json

curl -X GET "https://example.com/instance/project-europe-west1-gcp-storefrontcloud-io/pod"
{  "code": 0,  "pods": [    {      "name": "string",      "ready": true,      "reason": "string",      "status": "string"    }  ]}
Empty
GET
/instance/{namespace}/pod/{pod}

Using this endpoint you can get pods status of your instance

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

pod*string

Pod name

Response Body

application/json

curl -X GET "https://example.com/instance/project-europe-west1-gcp-storefrontcloud-io/pod/nginx-77dd45c46d-k82ll"
{  "error": true,  "message": "string",  "pod": {    "containers": [      {        "name": "string",        "ready": true,        "restarts": 0,        "status": "Waiting"      }    ],    "name": "string",    "reason": "string",    "start_time": "string",    "status": "Running"  }}
Empty
GET
/instance/{namespace}/pod/{pod}/log

Fetch pod logs

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

pod*string

Pod name

Query Parameters

container?string
since_sec?integer

Logs age in seconds

tail?integer

Parameter to determine how many logs should be returned

Response Body

application/json

application/json

curl -X GET "https://example.com/instance/project-europe-west1-gcp-storefrontcloud-io/pod/nginx-77dd45c46d-k82ll/log"
{  "code": 0,  "logs": "string"}
{  "message": "string"}
Empty
POST
/v2.2/admin/instance

Response Body

curl -X POST "https://example.com/v2.2/admin/instance"
Empty
DELETE
/v2.2/admin/instance/{namespace}

Path Parameters

Response Body

curl -X DELETE "https://example.com/v2.2/admin/instance/{namespace}"
Empty
GET
/v2.2/admin/instance/{namespace}

Path Parameters

Response Body

curl -X GET "https://example.com/v2.2/admin/instance/{namespace}"
Empty
PATCH
/v2.2/admin/instance/{namespace}

Path Parameters

Response Body

curl -X PATCH "https://example.com/v2.2/admin/instance/{namespace}"
Empty
POST
/v2.2/instance/{instance}/additional_application

Manage instance's additional applications

Path Parameters

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2.2/instance/{instance}/additional_application"
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
Empty
Empty
Empty
DELETE
/v2.2/instance/{instance}/additional_application/{additional_application_name}

Manage instance's additional applications

Path Parameters

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2.2/instance/{instance}/additional_application/{additional_application_name}"
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
Empty
Empty
GET
/v2.2/instance/{instance}/additional_application/{additional_application_name}

Manage instance's additional applications

Path Parameters

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2.2/instance/{instance}/additional_application/{additional_application_name}"
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
Empty
Empty
Empty
PUT
/v2.2/instance/{instance}/additional_application/{additional_application_name}

Manage instance's additional applications

Path Parameters

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2.2/instance/{instance}/additional_application/{additional_application_name}"
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
{  "env_var": {    "property1": {      "is_secret": true,      "name": "string",      "value": "string"    },    "property2": {      "is_secret": true,      "name": "string",      "value": "string"    }  },  "has_base_path": true,  "health_check": {    "enabled": true,    "path": "/some/path",    "timeout_seconds": 1  },  "image": "registry.storefrontcloud.io/foo-storefrontcloud-io/ct-adyen-integration-extension",  "name": "string",  "path": "string",  "port": "string",  "tag": "string"}
Empty
Empty
Empty
DELETE
/v2.2/instance/{instance}/env_vars/additional_apps/{app_id}/{env_var}/

Manage Additional App instance's environmental variables

Path Parameters

Response Body

curl -X DELETE "https://example.com/v2.2/instance/{instance}/env_vars/additional_apps/{app_id}/{env_var}/"
Empty
Empty
Empty
DELETE
/v2.2/instance/{instance}/env_vars/datadog/{env_var}

Manage Datadog instance's environmental variables

Path Parameters

Response Body

curl -X DELETE "https://example.com/v2.2/instance/{instance}/env_vars/datadog/{env_var}"
Empty
Empty
Empty
DELETE
/v2.2/instance/{instance}/env_vars/vsf/{env_var}

Manage vsf instance's environmental variables

Path Parameters

Response Body

curl -X DELETE "https://example.com/v2.2/instance/{instance}/env_vars/vsf/{env_var}"
Empty
Empty
Empty
DELETE
/v2.2/instance/{instance}/env_vars/vsf_api/{env_var}

Manage vsf api instance's environmental variables

Path Parameters

Response Body

curl -X DELETE "https://example.com/v2.2/instance/{instance}/env_vars/vsf_api/{env_var}"
Empty
Empty
Empty
DELETE
/v2.2/instance/{namespace}

Path Parameters

Response Body

curl -X DELETE "https://example.com/v2.2/instance/{namespace}"
Empty
GET
/v2.2/instance/{namespace}

Path Parameters

Response Body

curl -X GET "https://example.com/v2.2/instance/{namespace}"
Empty
PATCH
/v2.2/instance/{namespace}

Path Parameters

Response Body

curl -X PATCH "https://example.com/v2.2/instance/{namespace}"
Empty
GET
/v2.2/instance/{namespace}/ingresses

Get a list of ingresses and information about them

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

application/json

curl -X GET "https://example.com/v2.2/instance/project-europe-west1-gcp-storefrontcloud-io/ingresses"
{  "code": 0,  "ingresses": [    {      "domains": null,      "ip": null,      "type": null,      "url_map": null    }  ]}
Empty
GET
/v2.2/instance/{namespace}/kube_config

Get kube config file

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

curl -X GET "https://example.com/v2.2/instance/project-europe-west1-gcp-storefrontcloud-io/kube_config"
Empty
Empty
GET
/v2.2/instance/{namespace}/pod/{pod}

Fetch pod details

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

pod*string

Pod name

Response Body

application/json

application/json

curl -X GET "https://example.com/v2.2/instance/project-europe-west1-gcp-storefrontcloud-io/pod/nginx-77dd45c46d-k82ll"
{  "error": true,  "message": "string",  "pod": {    "containers": [      {        "image": "string",        "name": "string",        "ready": true,        "restarts": 0,        "status": "Waiting"      }    ],    "env_vars": {      "containers": {        "property1": {          "property1": {            "container_name": "string",            "is_secret": true,            "name": "string",            "value": "string"          },          "property2": {            "container_name": "string",            "is_secret": true,            "name": "string",            "value": "string"          }        },        "property2": {          "property1": {            "container_name": "string",            "is_secret": true,            "name": "string",            "value": "string"          },          "property2": {            "container_name": "string",            "is_secret": true,            "name": "string",            "value": "string"          }        }      },      "errors": {        "property1": "string",        "property2": "string"      }    },    "events": [      {        "count": "string",        "last_seen": "string",        "message": "string",        "reason": "string"      }    ],    "is_ready": true,    "is_rollout_active": true,    "is_terminating": true,    "labels": {      "property1": "string",      "property2": "string"    },    "name": "string",    "reason": "string",    "start_time": "string",    "status": "Running"  }}
{  "message": "string"}
Empty
GET
/v2.2/instance/{namespace}/pods

Using this endpoint you can list all pods for selected instance

Authorization

FarmerApiKey FarmerUserId
X-Api-Key<token>

API key (authentication token for farmer app in FusionAuth SSO)

In: header

X-User-Id<token>

User ID (e.g. from FusionAuth SSO)

In: header

Path Parameters

namespace*string

Namespace name

Response Body

application/json

application/json

curl -X GET "https://example.com/v2.2/instance/project-europe-west1-gcp-storefrontcloud-io/pods"
{  "error": true,  "message": "string",  "pods": [    {      "containers": 0,      "isReady": true,      "isRolloutActive": true,      "isTerminating": true,      "name": "string",      "readyContainers": 0,      "reason": "string",      "restarts": 0,      "startTime": "string",      "status": "string",      "type": "string"    }  ]}
{  "message": "string"}
Empty

On this page